<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class UserBenchmarkLine extends Model
{
    protected $fillable = ["user_benchmark_section_id", "training_workout_line_id", "units", "val", "reps"];

    protected $casts = [
        'val'  =>  'float'
    ];

    public function user_benchmark_section() {
        return $this->belongsTo("App\UserBenchmarkSection", "user_benchmark_section_id");
    }

    public function training_workout_line() {
        return $this->belongsTo("App\TrainingWorkoutLine");
    }

}
